Subject: Re: bug#21773: guix package -u "*" fails

From: Alex Sassmannshausen <[email-masked]>
Date: Wed, 28 Oct 2015 15:43:05 +0100

Hello,

Thompson, David writes:

> On Wed, Oct 28, 2015 at 8:44 AM, Jan Synáček <[email-masked]> wrote:
>> I installed guix on my Fedora 23 machine according to
>> https://www.gnu.org/software/guix/manual/html_node/Binary-Installation.html#Binary-Installation.
>> After that, I don't recall installing anything but guile. When I attempt to
>> run the following command, I see a backtrace.
>
> That's because '*' isn't a valid regular expression.

To add to David's comment, you could try ".*".

But alternatively, afaik, providing no argument to -u is the equivalent
to providing ".*".

HTH,

Alex